Bug 106359 - Support for Web Query (.iqy) files
Summary: Support for Web Query (.iqy) files
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:6.0.0 target:5.4.0.3
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-06 13:24 UTC by Mike Kaganski
Modified: 2017-07-20 20:51 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
google search dynamic query (74 bytes, text/x-ms-iqy)
2017-03-06 13:24 UTC, Mike Kaganski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2017-03-06 13:24:05 UTC
Created attachment 131676 [details]
google search dynamic query

As per http://support.microsoft.com/kb/157482, Excel Web Query files are plain-text files with an URL and optional GET and POST parameters (static and dynamic). Application should process the file, ask user for substitutions for dynamic parameters, create appropriate URL, and open it (presumably as spreadsheet from XML).

Some services (like SharePoint ticket system) offer their lists in form of such files to reach relevant XML documents on-line. So, being able to understand them may be useful in these scenarios.

A test sample .iqy is attached, as per https://www.vertex42.com/News/excel-web-query.html.
Comment 1 Mike Kaganski 2017-03-06 13:26:14 UTC
A patch proposed to gerrit: https://gerrit.libreoffice.org/34928
Comment 2 Commit Notification 2017-03-09 11:23:58 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=099f9406b6657a03a37fbe5cedf7cb7da765d4aa

tdf#106359: Open Web Query (.iqy) files

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-04-06 11:27:50 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0c547776340c3983a867890b34f4a931215f8f52

tdf#106359: register .iqy in MSI and treat them as templates

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-04-25 15:47:35 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=82fbc7147183dd27be81c20d7c362937bafc3546

tdf#106359: register text/x-ms-iqy MediaType default extension

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-05-02 12:05:01 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aebdeb6541e2feea180f9f632e6a626c6ee14957

tdf#106359: missing leading dot

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Michael Meeks 2017-06-26 14:36:03 UTC
I guess - we could close this bug ? =)
Comment 7 Mike Kaganski 2017-06-26 15:01:34 UTC
Thanks Michael!

I suppose that basic support is finished, co closing.
Comment 8 Commit Notification 2017-07-12 16:00:35 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f19fbadd00370820d026d9c29a7bc231e6fa49f0

tdf#106359: use SvFileStream to read iqy; fixes *nix compatibility

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2017-07-13 07:07:54 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=71a5bda1f65fa1b87a290f15c24034d25a9f1f25&h=libreoffice-5-4

tdf#106359: use SvFileStream to read iqy; fixes *nix compatibility

It will be available in 5.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2017-07-20 14:29:28 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-5-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7a676a8618aab6001a9eb1c43be6c0fdc3d4286b&h=libreoffice-5-4-0

tdf#106359: use SvFileStream to read iqy; fixes *nix compatibility

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.